## org.biojava.bio.gui
Class BarLogoPainter

    java.lang.Object
      |
      +--org.biojava.bio.gui.BarLogoPainter

public class BarLogoPainter
extends java.lang.Object
implements LogoPainter

A logo painter that paints in bars. The total height of the bars is proportional to the total informaton in the state.

Author:
  Matthew Pocock

Constructor Summary
`BarLogoPainter()`

Method Summary
`void` `paintLogo(java.awt.Graphics g, DistributionLogo sl)` Render the state from sl onto the graphics object g.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BarLogoPainter

    public BarLogoPainter()

Method Detail

### paintLogo

    public void paintLogo(java.awt.Graphics g,
                          DistributionLogo sl)

  Description copied from interface: LogoPainter
  Render the state from sl onto the graphics object g.
  Specified by:
    paintLogo in interface LogoPainter
  Tags copied from interface: LogoPainter
  Parameters:
    `g` - the target Graphics
    `sl` - the StateLogo to render